if(!$server::dedicated)
{
	echo("CityRP does not support non-dedicated servers. Terminating.");
	
	return;
}

if($server::lan)
{
	echo("CityRP does not support LAN servers. Terminating.");
	
	return;
}

echo("Launching Server");

exec("./common.cs");
exec("./package.cs");
exec("./saving.cs");
exec("./help.cs");
exec("./bricks.cs");

if(!$CityRP__HasBuiltJobs)
{
	echo("Launching Server :: Jobs");
	
	for(%i = 1; isFile("./jobs/" @ %i @ ".cs"); %i++)
	{		
		exec("./jobs/" @ %i @ ".cs");	
		
		if(!isObject("CityRPJob" @ %i @ "SpawnBrickData"))
		{
			datablock fxDtsBrickData(CityRPSpawnBrickData : brickSpawnPointData)
			{
				category = "IbanMods";
				subCategory = "CityRPG Spawns";
				
				uiName = $CityRP::jobs::name[%i] SPC "Spawn";
				
				specialBrickType = "";
				
				CityRPBrickType = 3;
				CityRPBrickAdmin = true;
				
				spawnData = "jobSpawn" SPC %i;
			};
		
			CityRPSpawnBrickData.setName("CityRPJob" @ %i @ "SpawnBrickData");
		}
	}
	
	$CityRP__HasBuiltJobs = true;
}
else
{
	echo("Launching Server :: Job Sequence Terminated!");
}

echo("Launching Server :: Tools");
for(%i = 1; isFile("./tools/" @ %i @ ".cs"); %i++)
{
	exec("./tools/" @ %i @ ".cs");	
}

echo("Launching Server :: Modules");
for(%i = 1; isFile("./modules/" @ %i @ ".cs"); %i++)
{
	exec("./modules/" @ %i @ ".cs");	
}

CityRP_BootUp();